@interface Image : Graphic
{
    NXImage *image;		/* an NXImage object */
    NXSize originalSize;	/* the original size */
    NXDataLink *link;
    BOOL dontCache, amLinkButton, amIcon;
}

+ initialize;

/* Creation methods */

+ (BOOL)canInitFromPasteboard:(Pasteboard *)pboard;

- init;
- finishedWithInit;

- initEmpty;
- initFromImage:(NXImage *)anImage;
- initFromStream:(NXStream *)stream;
- initFromPasteboard:(Pasteboard *)pboard;
- initFromFile:(const char *)file;
- initFromIcon:(NXImage *)anImage;
- initWithLinkButton;

- (NXRect)reinitFromPasteboard:(Pasteboard *)pboard;
- (NXRect)reinitFromFile:(const char *)file;

- free;

/* Link methods */

- setLink:(NXDataLink *)aLink;
- (NXDataLink *)link;

/* Methods overridden from superclass to support links */

- (int)cornerMask;
- (NXRect *)getExtendedBounds:(NXRect *)theRect;
- (BOOL)constrainByDefault;

/* Overridden from superclass */

- (BOOL)isValid;
- (BOOL)isOpaque;
- (float)naturalAspectRatio;
- draw;

- (BOOL)canEmitEPS;
- writeEPSToStream:(NXStream *)stream;
- (BOOL)canEmitTIFF;
- writeTIFFToStream:(NXStream *)stream;

- setCacheable:(BOOL)flag;
- (BOOL)isCacheable;

/* Archiving methods */

- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end

