#import <appkit/Application.h>
#import "GenericSort.h"
#import <objc/NXStringTable.h>

@interface SortApp:Application
{
    id algorithmMatrix;		/* matrix of switches for sort algorithms */
    id performRadios;		/* radio button matrix for parallel--series */
    id tickValueMatrix;		/* matrix of text fields for tick values */
    id tickMatrix;		/* matrix of tick operations */
    id dataSetMatrix;		/* matrix of text fields for data parameters */
    id messageField;		/* text field used to display current status */
    id goButton;		/* button that starts/cancels sorting */
    id tickField;		/* text field to display current tick count */
    id stringTable;		/* NXStringTable for string resources */
    DPSTimedEntry teNum;	/* timed entry used to update tickField */
    id infoPanel;		/* the Info... panel */
    id helpPanel;		/* the help panel */
    id sortController;		/* controller which manages sorting activity */
    port_t drawPort;		/* main thread port,receives drawing message */
}

/* FACTORY METHODS */
+ initialize;
+ new;

/* TARGET-ACTION METHODS */
- info:sender;
- help:sender;
- go:sender;
- stop:sender;

/* PUBLIC METHODS */
- setControlsEnabled:(BOOL)value;
- startTickCounter;
- stopTickCounter;
- allFinished;
- stringTable;
- draw:(simpleMsg *)msg;
- (port_t)drawPort;

/* DELEGATE METHODS */
- appDidInit:sender;

@end